
import CommentButton from "@/components/comment-button";
import LikeButton from "@/components/like-button";
import PostItem from "@/components/post-item";
import MessageItem from "@/components/post-item";
import PostMessageForm from "@/components/post-messages";
import { db } from "@/lib/db";
import { Prisma } from "@prisma/client";
/* export const revalidate = 5; */ // revalidate this page every 60 seconds

type messageType = any // Prisma.PostUncheckedCreateInput
type messageItemProps = {
  msg: messageType;
};

export default async function HomePage() {
  let messages = null
  try {
    messages = await db.post.findMany({
      orderBy: {
        createdAt: "desc"
      },
      include: {
        user: true,
        Comment: true
      },
    })

  } catch (error) {
    console.log("the database is not running, try: 'npx prisma migrate dev --name init' if you want to use the database")
  }

  return (
    <div>
      <h1>Home WIP</h1>
      <p>This will be where all Posts show up.</p>
      <p>Needs a reload after posting!!</p>
      <PostMessageForm data={messages} />
      {messages ?
        <>
          {messages.map((msg) => (
            <PostItem msg={msg} key={msg.id} />
          ))}

        </>
        :
        <p>no messages / no database</p>}
    </div>
  )
}

